[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[SECURITY] Fedora 10 Update: aria2-1.3.1-2.fc10



--------------------------------------------------------------------------------
Fedora Update Notification
FEDORA-2009-10344
2009-10-09 02:21:11
--------------------------------------------------------------------------------

Name        : aria2
Product     : Fedora 10
Version     : 1.3.1
Release     : 2.fc10
URL         : http://aria2.sourceforge.net/
Summary     : High speed download utility with resuming and segmented downloading
Description :
aria2 is a download utility with resuming and segmented downloading.
Supported protocols are HTTP/HTTPS/FTP/BitTorrent. It also supports Metalink
version 3.0.

Currently it has following features:
- HTTP/HTTPS GET support
- HTTP Proxy support
- HTTP BASIC authentication support
- HTTP Proxy authentication support
- FTP support(active, passive mode)
- FTP through HTTP proxy(GET command or tunneling)
- Segmented download
- Cookie support(currently aria2 ignores "expires")
- It can run as a daemon process.
- BitTorrent protocol support with fast extension.
- Selective download in multi-file torrent
- Metalink version 3.0 support(HTTP/FTP/BitTorrent).
- Limiting download/upload speed

--------------------------------------------------------------------------------
Update Information:

Fixes CVE-2009-3575, A buffer overflow vulnerability described in more detail at
https://bugzilla.redhat.com/show_bug.cgi?id=527827
--------------------------------------------------------------------------------
ChangeLog:

* Thu Oct  8 2009 Rahul Sundaram <sundaram fedoraproject org> - 1.3.1-2
- Fix spec. Dumb mistake
* Thu Oct  8 2009 Rahul Sundaram <sundaram fedoraproject org> - 1.3.1-1
- Update to the same version as Fedora 11 that fixes rhbz#52782
* Fri Dec  5 2008 MichaƂ Bentkowski <mr.ecik at gmail.com> - 1.0.1-2
- New version, 1.0.1
- Forgot to add changelog in last release...
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #527827 - CVE-2009-3575 aria2: buffer overflow vulnerability
        https://bugzilla.redhat.com/show_bug.cgi?id=527827
--------------------------------------------------------------------------------

This update can be installed with the "yum" update program.  Use 
su -c 'yum update aria2' at the command line.
For more information, refer to "Managing Software with yum",
available at http://docs.fedoraproject.org/yum/.

All packages are signed with the Fedora Project GPG key.  More details on the
GPG keys used by the Fedora Project can be found at
http://fedoraproject.org/keys
--------------------------------------------------------------------------------


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]